<?php

namespace Loans\Loan\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Loans\Loan\Interfaces\LoansRepositoryInterface;

class LoansPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Loans\Loans\Interfaces\LoansRepositoryInterface $loans
     *
     * @return type
     */
    public function __construct(LoansRepositoryInterface $loans)
    {
        $this->model = $loans;
        parent::__construct();
    }

    /**
     * Show loans's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $loans = $this->model->all();

        return $this->theme->of('loan::public.loans.index', compact('loans'))->render();
    }

    /**
     * Show loans.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $loans = $this->model->findBySlug($slug);

        return $this->theme->of('loan::public.loans.show', compact('loans'))->render();
    }
}
